info.bioinfweb.jphyloio.formats.nexus

## Enum NexusMatrixWriteResult

- java.lang.Object
- - java.lang.Enum<NexusMatrixWriteResult>
  - - info.bioinfweb.jphyloio.formats.nexus.NexusMatrixWriteResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NexusMatrixWriteResult>

      public enum NexusMatrixWriteResult
      extends java.lang.Enum<NexusMatrixWriteResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHARACTERS`
    `NONE`
    `UNALIGNED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toBlockName()`
    `static NexusMatrixWriteResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NexusMatrixWriteResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHARACTERS

          public static final NexusMatrixWriteResult CHARACTERS

    - #### UNALIGNED

          public static final NexusMatrixWriteResult UNALIGNED

    - #### NONE

          public static final NexusMatrixWriteResult NONE

  - ### Method Detail

    - #### values

          public static NexusMatrixWriteResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NexusMatrixWriteResult c : NexusMatrixWriteResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NexusMatrixWriteResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toBlockName

          public java.lang.String toBlockName()